Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026395
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2014-04-28 10:462014-10-01 16:29
ReporterguillermogilView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision5470b601b14e
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version9.1Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-11-21
Regression introduced in release3.0MP30
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/091cc28d75e0fd11049eabfc3fdcc67825783830 [^]
Triggers an Emergency PackNo
Summary

0026395: If you create a sales invoice in grid view and save it by losing focus a new empty record appears

DescriptionIf you create a sales invoice and save it by losing focus a new empty record appears. There is an error on the console (Uncaught TypeError: Cannot read property '_editValues' of undefined) and summary functions do not work.
Steps To Reproduce- Create a sales invoice on grid view.
- Save it by losing focus.
- An error appears and summary fields (if any) are not refreshed.
Proposed SolutionModify ob-view-grid.js

line:
this.setEditValue(this.getEditRow(), this.getField(colNum).name, record[this.getField(colNum).name], true, true);

Use rowNum instead this.getEditRow()
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2014-04-28 10:45:06.png [^] (281,914 bytes) 2014-04-28 10:46

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00250283.0MP30 closedshankarb Default value applied again after updating a numeric field with a trigger 

-  Notes
(0066642)
hgbot (developer)
2014-04-28 11:22

Repository: erp/devel/pi
Changeset: 5470b601b14e7dcd8b7f9baa26aefe6521d8b5d5
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Apr 28 11:21:55 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5470b601b14e7dcd8b7f9baa26aefe6521d8b5d5 [^]

Fixed issue 26395: Create a sales invoice in grid & save it by losing focus

On create a new record this.getEditRow() does not exists, used rowNum instead this.getEditRow()

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0066776)
shankarb (developer)
2014-05-02 08:29

Code reviewed and verified in pi changeset 6d818cd5ed38.
(0066978)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-28 10:46 guillermogil New Issue
2014-04-28 10:46 guillermogil Assigned To => guillermogil
2014-04-28 10:46 guillermogil File Added: Screenshot from 2014-04-28 10:45:06.png
2014-04-28 10:46 guillermogil Web browser => Google Chrome
2014-04-28 10:46 guillermogil Modules => Core
2014-04-28 10:46 guillermogil Triggers an Emergency Pack => No
2014-04-28 10:47 guillermogil Web browser Google Chrome => Google Chrome
2014-04-28 10:47 guillermogil Priority normal => immediate
2014-04-28 10:48 guillermogil Web browser Google Chrome => Google Chrome
2014-04-28 10:48 guillermogil Regression level => Production - Confirmed Stable
2014-04-28 10:48 guillermogil Regression date => 2013-11-21
2014-04-28 10:48 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/091cc28d75e0fd11049eabfc3fdcc67825783830 [^]
2014-04-28 10:49 AugustoMauch Web browser Google Chrome => Google Chrome
2014-04-28 10:49 AugustoMauch Regression level Production - Confirmed Stable =>
2014-04-28 10:49 AugustoMauch Regression date 2013-11-21 =>
2014-04-28 10:49 AugustoMauch Regression introduced by commit https://code.openbravo.com/erp/devel/pi/rev/091cc28d75e0fd11049eabfc3fdcc67825783830 [^] =>
2014-04-28 10:49 AugustoMauch Summary If you create a sales invoice and save it by loosing focus a new empty record appears => If you create a sales invoice in grid view and save it by losing focus a new empty record appears
2014-04-28 10:49 AugustoMauch Description Updated View Revisions
2014-04-28 10:49 AugustoMauch Steps to Reproduce Updated View Revisions
2014-04-28 10:55 guillermogil Relationship added related to 0025028
2014-04-28 11:03 guillermogil Web browser Google Chrome => Google Chrome
2014-04-28 11:03 guillermogil Regression level => Production - Confirmed Stable
2014-04-28 11:03 guillermogil Regression date => 2013-11-21
2014-04-28 11:03 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/091cc28d75e0fd11049eabfc3fdcc67825783830 [^]
2014-04-28 11:03 guillermogil Steps to Reproduce Updated View Revisions
2014-04-28 11:08 guillermogil Issue Monitored: shankarb
2014-04-28 11:08 guillermogil Review Assigned To => shankarb
2014-04-28 11:08 guillermogil Web browser Google Chrome => Google Chrome
2014-04-28 11:22 hgbot Checkin
2014-04-28 11:22 hgbot Note Added: 0066642
2014-04-28 11:22 hgbot Status new => resolved
2014-04-28 11:22 hgbot Resolution open => fixed
2014-04-28 11:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5470b601b14e7dcd8b7f9baa26aefe6521d8b5d5 [^]
2014-05-02 08:29 shankarb Note Added: 0066776
2014-05-02 08:29 shankarb Status resolved => closed
2014-05-02 08:29 shankarb Fixed in Version => PR14Q2
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0066978
2014-06-03 16:57 johnfandl Issue Monitored: johnfandl
2014-10-01 16:29 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:29 plujan Regression introduced in release => 3.0MP30


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker